MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CurlSlist Class Reference

OO wrapper for "struct curl_slist *". More...

`#include <Slist.hxx>`

## Public Member Functions
| CurlSlist ()=default
| CurlSlist (CurlSlist &&src)
| ~CurlSlist ()
CurlSlist & | operator= (CurlSlist &&src)
struct curl_slist * | Get ()
void | Clear ()
void | Append (const char *value)

## Detailed Description

OO wrapper for "struct curl_slist *".

Definition at line 40 of file Slist.hxx.

## Constructor & Destructor Documentation

CurlSlist::CurlSlist | ( |  | ) |
| default

CurlSlist::CurlSlist | ( | CurlSlist && | src | ) |
| inline

Definition at line 46 of file Slist.hxx.

CurlSlist::~CurlSlist | ( |  | ) |
| inline

Definition at line 49 of file Slist.hxx.

## Member Function Documentation

void CurlSlist::Append | ( | const char * | value | ) |
| inline

Definition at line 68 of file Slist.hxx.

void CurlSlist::Clear | ( |  | ) |
| inline

Definition at line 63 of file Slist.hxx.

struct curl_slist* CurlSlist::Get | ( |  | ) |
| inline

Definition at line 59 of file Slist.hxx.

CurlSlist& CurlSlist::operator= | ( | CurlSlist && | src | ) |
| inline

Definition at line 54 of file Slist.hxx.

The documentation for this class was generated from the following file:

- lib/curl/Slist.hxx